package org.acme

import io.quarkus.cache.CacheKey
import io.quarkus.cache.CacheResult
import java.time.Instant
import javax.enterprise.context.ApplicationScoped

@ApplicationScoped
class DataProvider {

  @CacheResult(cacheName = "test1")
  suspend fun get1(id: String): List<String> {
    return listOf(Instant.now().toString())
  }

  @CacheResult(cacheName = "test2")
  suspend fun get2(@CacheKey id: String): List<String> {
    return listOf(Instant.now().toString())
  }

}
