package org.acme

import javax.ws.rs.GET
import javax.ws.rs.Path
import javax.ws.rs.Produces
import javax.ws.rs.core.MediaType

@Path("/hello")
class ReactiveGreetingResource(
    val data: DataProvider,
) {

    @Path("test1")
    @GET
    @Produces(MediaType.TEXT_PLAIN)
    suspend fun hello1() = data.get1("a")

    @Path("test2")
    @GET
    @Produces(MediaType.TEXT_PLAIN)
    suspend fun hello2() = data.get2("a")
}
